:host {
  width: 100%;
  height: 100%;

  ::ng-deep {
    .side-menu .card {
      background-color: var(--surface-overlay);
      width: 100%;
      height: 100%;
      border: 0;
      box-shadow: none;
      padding: var(--spacing-md, 12px);

      // & .p-menuitem-text {
      //   color: var(--surface-on-surface, #1c1d1c);
      //   /* Headline/H5 */
      //   font-size: 20px;
      //   font-weight: 700;
      // }

      // & .pi {
      //   color: var(--surface-on-surface, #1c1d1c);
      //   /* Headline/H5 */
      //   font-size: 20px;
      //   font-style: normal;
      //   line-height: 28px;
      //   /* 140% */
      //   letter-spacing: 0.4px;
      // }

      // & .p-panelmenu .p-panelmenu-content .p-menuitem .p-menuitem-link .p-menuitem-text {
      //   color: var(--surface-on-surface, #1c1d1c);
      //   /* Label/Medium */
      //   font-size: 16px;
      //   font-style: normal;
      //   font-weight: 500;
      //   line-height: 24px;
      //   /* 150% */
      //   letter-spacing: 0.16px;
      // }

      & .p-panelmenu .p-panelmenu-content .p-menuitem .p-menuitem-link {
        padding-top: 0;
        padding-bottom: 8px;
        padding-left: 0.75rem;
        padding-right: 0.75rem;
      }

      & .p-panelmenu .p-panelmenu-header .p-panelmenu-header-content .p-panelmenu-header-action {
        color: var(--surface-on-surface, #1c1d1c);
        padding: 0;
      }

      .p-panelmenu {
        padding: 0;
      }

      & .p-panelmenu .p-panelmenu-header-action {
        padding: 0;
      }

      & .p-panelmenu .p-panelmenu-header .p-panelmenu-header-content {
        background-color: var(--surface-overlay);
        border: 0px;
        padding: 0;
      }
    }

    .side-menu .card .p-panelmenu .p-panelmenu-content {
      background-color: var(--surface-overlay);
    }

    .side-menu .p-panelmenu .p-panelmenu-header .p-panelmenu-header-content .p-panelmenu-header-action {
      display: flex;
      gap: 0.5rem;
    }

    .side-menu .p-panelmenu .p-panelmenu-panel {
      box-shadow: none;
    }

    .side-menu .p-panelmenu .p-panelmenu-header .p-panelmenu-header-content {
      font-weight: bold;
    }

    .info-header .p-toolbar {
      background-color: var(--surface-section, #ECEDED);
      height: 60px;
      padding: 0 12px;
    }

    .info-sidebar .p-tabview .p-tabview-nav li:not(.p-highlight):not(.p-disabled):hover .p-tabview-nav-link {
      background: none;
      background-color: transparent;
    }

    .ditto-btn .p-menuitem-separator {
      border-top: 1px solid var(--outline-variant);
    }

    .p-menu {
      width: auto;
    }
  }
}

::ng-deep {

  .side-menu .card {
    & .p-menuitem-text {
      color: var(--surface-on-surface, #1c1d1c);
      /* Headline/H5 */
      font-size: 20px;
      font-weight: 700;
    }

    & .pi {
      color: var(--surface-on-surface, #1c1d1c);
      /* Headline/H5 */
      font-size: 20px;
      font-style: normal;
      line-height: 28px;
      /* 140% */
      letter-spacing: 0.4px;
    }

    & .p-panelmenu .p-panelmenu-content .p-menuitem .p-menuitem-link .p-menuitem-text {
      color: var(--surface-on-surface, #1c1d1c);
      /* Label/Medium */
      font-size: 16px;
      font-style: normal;
      font-weight: 500;
      line-height: 24px;
      /* 150% */
      letter-spacing: 0.16px;
    }
  }

  .header-title {
    font-weight: bold;
    margin: 0;
  }

  .tableDivider .p-divider.p-divider-horizontal {
    margin: 0.5rem 0 0.5rem 0;
  }

  .tableDivider1 .p-divider.p-divider-horizontal {
    margin: 0.5rem 0 0.5rem 0;
  }

  .tableDivider1 {
    padding-top: 20%;
  }

  @media only screen and (min-width:1500px) {
    .opd-order {
      display: flex;
      background: var(--surface-overlay);
      height: 93vh;
    }

    .content-layout {
      padding: var(--spacing-sm) var(--spacing-lg);
      height: 91%;
    }

    .scroll .p-scrollpanel {
      width: 100%;
      height: 74vh;
    }

    .soap {
      height: 31%;
    }

    .other-table {
      height: 68%;
    }

    .info-sidebar .sidebar .card {
      // width: 200px;
      min-width: 220px;
      box-shadow: none;
      border: none;
      padding: 0;
    }

  }

  @media only screen and (min-width: 1400px) and (max-width:1500px) {
    .opd-order {
      display: flex;
      background: var(--surface-overlay);
      height: 92vh;
    }

    .content-layout {
      padding: var(--spacing-sm) var(--spacing-lg);
      height: 85%;
    }

    .scroll .p-scrollpanel {
      width: 100%;
      height: 18vh;
    }

    .soap {
      height: 40%;
    }

    .other-table {
      height: 60%;
    }

    .info-sidebar .sidebar .card {
      // width: 200px;
      min-width: 220px;
      box-shadow: none;
      border: none;
      padding: 0;
    }
  }

  @media only screen and (max-width:1400px) {
    --spacing-sm:4px;
    html {
      font-size: 12px;
    }

    .opd-order {
      display: flex;
      background: var(--surface-overlay);
      height: 92vh;
    }

    .content-layout {
      padding: var(--spacing-sm) var(--spacing-lg);
      height: 89%;
    }

    .scroll .p-scrollpanel {
      width: 100%;
      height: 18vh;
    }

    .soap {
      height: 34%;
    }

    .other-table {
      height: 65%;
    }

    .left {
      width: 200px;
      max-width: 200px;
      overflow: hidden;
      transition: width 0.3s ease;
    }

    .toolbar {
      display: inline;
    }

    .button-group {
      display: flex;
      justify-content: flex-end;
    }

    .info-sidebar .sidebar .card {

      min-width: 180px;
      box-shadow: none;
      border: none;
      padding: 0;
    }

    .side-menu .card {
      background-color: var(--surface-overlay);
      width: 100%;
      height: 100%;
      border: 0;
      box-shadow: none;
      padding: var(--spacing-md, 12px);

      & .p-menuitem-text {
        color: var(--surface-on-surface, #1c1d1c);
        /* Headline/H5 */
        font-size: 16px;
        font-weight: 700;
      }

      & .pi {
        color: var(--surface-on-surface, #1c1d1c);
        /* Headline/H5 */
        font-size: 16px;
        font-style: normal;
        line-height: 28px;
        /* 140% */
        letter-spacing: 0.4px;
      }

      & .p-panelmenu .p-panelmenu-content .p-menuitem .p-menuitem-link .p-menuitem-text {
        color: var(--surface-on-surface, #1c1d1c);
        /* Label/Medium */
        font-size: 12px;
        font-style: normal;
        font-weight: 500;
        line-height: 18px;
        /* 150% */
        letter-spacing: 0.16px;
      }
    }

    .tableDivider1 {
      padding-top: 25%;
    }
  }

  // side-menu 開啟關閉
  .left {
    width: 200px;
    max-width: 200px;
    overflow: hidden;
    transition: width 0.3s ease;
  }

  .main-layout {
    flex-grow: 1;
    border: 0;
    border-left: 1px solid var(--outline-variant, #b5bfbb);
  }

  .left-switch {
    width: 0;
  }

  /* splitter 調整條*/
  .p-splitter {
    border-radius: var(--border-radius-none, 0rem);
    background: var(--surface-overlay);
    height: 100%;
    border: none;
  }

  .p-splitter-gutter {
    background-color: var(--black-o-12) !important;
  }

  .p-splitter-gutter-handle {
    background-color: transparent !important;
  }

  .panel-left {
    width: 100%;
  }

  /* tool bar 和按鈕*/
  .toolbar {
    width: 100%;
    display: flex;
    height: 3rem;
    justify-content: space-between;
    align-items: center;
  }

  .button-group {
    display: flex;
    gap: var(--spacing-md, 12px);
    margin-right:var(--spacing-lg);
  }

  .change-layout {
    display: flex;
    gap: var(--spacing-sm, 8px);
    width: 150px;
    justify-content: right;
  }


  .content-header {
    display: flex;
    // border: 2px solid green;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--spacing-xs);
  }

  .content-body {
    // border: 2px solid pink;
    display: flex;
    width: 100%;
    height: 100%;
    gap: 0.5rem;
  }

  .content-other {
    // width: var(--card-min-w, 15rem);
    // height: 100%;
    border-radius: var(--border-radius-card, 0.75rem);
    border: 0.5px solid var(--outline-variant, #b5bfbb);
    background: var(--surface-card, #fff);
    padding: 0.25rem 0.5rem;
    /* cardShadow */
    box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.02),
      0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }

  .content-main {
    width: 100%;
    // height: 100%;
    flex-direction: column;
    gap: 8px;
  }

  .section {
    height: 100%;
    width: 100%;
    // gap: 8px;
  }

  .content-list {
    display: flex;
    height: 100%;
    width: 50%;
    flex-direction: column;
    gap: 8px;
  }

  // .plan-tab .p-tabview-title {
  //   font-weight: 500;
  // }

  /* 卡片外型 */
  .card {
    padding: 8px;
    width: 100%;
    height: 100%;
  }

  .card-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: var(--spacing-xs, 4px);
  }

  .plan-card {
    border-radius: var(--border-radius-card, 0.75rem);
    border: 0.5px solid var(--outline-variant, #b5bfbb);
    background: var(--surface-card, #fff);
    padding: 0.25rem 0.5rem;
    width: 100%;
    height: 100%;
    /* cardShadow */
    box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.02),
      0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }

  /* info sidebar */
  .panel-right {
    width: 100%;
    height: 100%;
    padding: var(--spacing-sm, 8px);

    border-radius: var(--border-radius-card, 0.75rem) var(--border-radius-none, 0rem) var(--border-radius-none, 0rem) var(--border-radius-card, 0.75rem);
    background: var(--surface-card, #fff);

    /* inputOverlayShadow */
    box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.1);
  }

  .info-sidebar-button {
    position: absolute;
    top: 4.5rem;
    z-index: 2;
  }

  .close-sidebar {
    display: none;
  }

  .open-button {
    right: 0rem;
  }

  .info-sidebar .card .p-tabview .p-tabview-nav li.p-highlight .p-tabview-nav-link {
    border-color: var(--primary-main) var(--outline-variant) transparent var(--outline-variant);
    border-width: 4px 1px 0 1px;
    color: var(--primary-main);

  }

  .info-sidebar .card .p-tabview .p-tabview-nav li .p-tabview-nav-link {
    background: none;
    color: var(--surface-on-surface-variant);
    padding: var(--spacing-md, 12px);
    font-weight: 500;
  }

  .info-sidebar .p-accordion p-accordiontab .p-accordion-tab {
    overflow: none;
  }

  .info-sidebar .align-items-center {
    align-items: normal !important;
  }

  .info-sidebar .p-tabview .p-tabview-panels {
    padding: 8px 0;
  }

  /* scroll */
  .scroll .p-scrollpanel-bar-y {
    display: none;
  }

  .scroll .p-scrollpanel .p-scrollpanel-bar-x {
    height: 0.25rem;
    border-radius: var(--border-radius-rounded, 1.25rem);
    background: var(--outline-variant, #b5bfbb);
  }

  .scroll .p-scrollpanel-content {
    overflow: hidden;
    height: 100%;
    // width: auto;
  }

  .scroll .p-scrollpanel-wrapper {
    overflow: inherit;
  }

  .opd-order-divider .p-divider.p-divider-horizontal {
    margin: var(--spacing-sm, 8px);
  }

  #selectBtn .p-buttonset .p-button {
    padding: var(--spacing-xs, 4px);
    border: 1px solid var(--outline, #626966) !important;
    min-width: 0;
  }

  #selectBtn .p-selectbutton .p-button:focus {
    background: var(--black-o12, rgba(255, 255, 255, 0.20));
  }

  #selectBtn .p-selectbutton .p-button.p-highlight {
    background: var(--black-o12, rgba(19, 20, 20, 0.12));
  }

  #selectBtn .p-buttonset .p-button:not(:last-child) {
    border-right: 0 none !important;
  }

  #togBtn .p-button.p-button-icon-only {
    border: 1px solid var(--outline, #626966) !important;
  }

  #togBtn span::before {
    content: 'view_sidebar';
    color: var(--surface-on-surface);
  }

  #togBtn .p-togglebutton.p-button:focus {
    background: var(--black-o12, rgba(255, 255, 255, 0.20));
    border-color: var(--white, #FFF);
  }

  #togBtn .p-togglebutton.p-button:focus.p-highlight {
    background: var(--black-o12, rgba(255, 255, 255, 0.20));
    border-color: #d9d8d9;
  }

  #togBtn .p-togglebutton.p-button.p-highlight {
    background: var(--black-o12, rgba(255, 255, 255, 0.20));
  }

  #togBtn.p-togglebutton.p-button:not(.p-disabled):not(.p-highlight):hover {
    background: var(--white);
  }

  #togBtn .p-togglebutton.p-button:focus {
    background: none;
  }

  #dtDivider .p-divider.p-divider-horizontal {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .dtDataText p {
    line-height: 20px;
    /* 125% */
    margin-bottom: var(--spacing-sm, 8px);
  }

  .p-dialog-left .p-dialog {
    width: 44vw !important;
    min-width: 850px;
  }

  .text-align-center {
    text-align: center !important;
  }

  .text-align-right {
    text-align: right !important;
  }

  .text-align-left {
    text-align: left !important;
  }

  .btn-camera .p-button.p-button-icon-only.p-button-rounded {
    background: var(--tertiary-fixed-dim, #FDD3A4);
    height: 48px;
    width: 48px;
    position: absolute;
    right: 50px;
    bottom: 50px;
  }

  .btn-camera .p-button.p-button-icon-only .pi {
    font-size: 1.5rem;
    color: var(--black);
  }

  .footer-btn {
    display: flex;
    gap: 8px;
    justify-content: flex-end;
  }
}

.checkbox {
  margin-bottom: 2rem;
  margin-left: 0.5rem;
}

.subCheckbox {
  margin-top: 2rem;
  margin-left: 1.5rem;
}

.plugin {
  display: flex;
  align-items: center;
  width: 100%;
  gap: var(--spacing-xs, 10px);
  // margin: 0 10px;

  .drop {
    width: 50%;
    align-items: center;
    display: flex;
  }

  .text {
    width: 16.6667%;
  }

  ::ng-deep {
    .p-dropdown {
      height: 40px;
      width: 100%;
      border-width: thin;
      border-radius: var(--border-radius-input, 4px);
      background: var(--surface-card, #fff);
      // text-align: right;
    }
  }
}

.orderBody {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.orderDiag,
.orderExam {
  flex-shrink: 0;
  /* This prevents the elements from shrinking */
}

.orderDrug {
  flex-shrink: 0;
  /* This prevents the elements from shrinking */
  // padding-top: 20%;
}
